import { GroupResult } from './grouping/group-descriptor.interface';
/**
 * The result of the [`process`]({% slug api_kendo-data-query_process%}) method applied to a data structure.
 */
export interface DataResult<T = any> {
    /**
     * The data that will be rendered by the Grid as an array.
     */
    data: T[] | GroupResult<T>[];
    /**
     * The total number of records that are available.
     */
    total: number;
}
//# sourceMappingURL=data-result.interface.d.ts.map