import { CompositeFilterDescriptor, FilterDescriptor } from './filter-descriptor.interface';
/**
 * Converts a [`FilterDescriptor`]({% slug api_kendo-data-query_filterdescriptor %}) into a [`CompositeFilterDescriptor`]({% slug api_kendo-data-query_compositefilterdescriptor %}). If a `CompositeFilterDescriptor` is passed, no modifications will be made.
 *
 * @param {CompositeFilterDescriptor | FilterDescriptor} descriptor - The descriptor that will be normalized.
 * @returns {CompositeFilterDescriptor} - The normalized descriptor.
 */
export declare const normalizeFilters: (descriptor: CompositeFilterDescriptor | FilterDescriptor) => CompositeFilterDescriptor;
//# sourceMappingURL=filter.operators.d.ts.map